Eclipse Platform Release 3.7

## org.eclipse.core.databinding.observable.set
Class UnionSet

    java.lang.Object
      org.eclipse.core.databinding.observable.AbstractObservable
          org.eclipse.core.databinding.observable.set.ObservableSet
              org.eclipse.core.databinding.observable.set.UnionSet

All Implemented Interfaces:
  Iterable, Collection, Set, IObservable, IObservableCollection, IObservableSet

    public final class UnionSet

extends ObservableSet

Represents a set consisting of the union of elements from one or more other sets. This object does not need to be explicitly disposed. If nobody is listening to the UnionSet, the set will remove its listeners.

This class is thread safe. All state accessing methods must be invoked from the `current realm`. Methods for adding and removing listeners may be invoked from any thread.

Since:
  1.0

Field Summary

Fields inherited from class org.eclipse.core.databinding.observable.set.ObservableSet
`elementType, wrappedSet`

Constructor Summary
`UnionSet(IObservableSet[] childSets)`
`UnionSet(IObservableSet[] childSets, Object elementType)`

Method Summary
`protected void` `addListener(Object listenerType, IObservablesListener listener)`
`protected Object` `clone()`
`protected void` `fireEvent(ObservableEvent event)`
`protected void` `firstListenerAdded()`
`Realm` `getRealm()`
`protected void` `getterCalled()`
`protected boolean` `hasListeners()`
`boolean` `isStale()` Returns whether the state of this observable is stale and is expected to change soon.
`protected void` `lastListenerRemoved()`
`protected void` `removeListener(Object listenerType, IObservablesListener listener)`

Methods inherited from class org.eclipse.core.databinding.observable.set.ObservableSet
`add, addAll, addSetChangeListener, clear, contains, containsAll, dispose, equals, fireChange, fireSetChange, getElementType, hashCode, isEmpty, iterator, remove, removeAll, removeSetChangeListener, retainAll, setStale, setWrappedSet, size, toArray, toArray, toString`

Methods inherited from class org.eclipse.core.databinding.observable.AbstractObservable
`addChangeListener, addDisposeListener, addStaleListener, checkRealm, fireStale, isDisposed, removeChangeListener, removeDisposeListener, removeStaleListener`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.databinding.observable.IObservable
`addChangeListener, addDisposeListener, addStaleListener, getRealm, isDisposed, removeChangeListener, removeDisposeListener, removeStaleListener`

Constructor Detail

### UnionSet

    public UnionSet(IObservableSet[] childSets)

Parameters:
  `childSets` -

### UnionSet

    public UnionSet(IObservableSet[] childSets,
                    Object elementType)

Parameters:
  `childSets` -
  `elementType` -
Since:
  1.2

Method Detail

### isStale

    public boolean isStale()

  Description copied from interface: `IObservable`
  Returns whether the state of this observable is stale and is expected to change soon. A non-stale observable that becomes stale will notify its stale listeners. A stale object that becomes non-stale does so by changing its state and notifying its change listeners, it does not notify its stale listeners about becoming non-stale. Clients that do not expect asynchronous changes may ignore staleness of observable objects.

  Specified by:
    `isStale` in interface `IObservable`
  Overrides:
    `isStale` in class `ObservableSet`
  Returns:
    Returns the stale state.

### firstListenerAdded

    protected void firstListenerAdded()

### lastListenerRemoved

    protected void lastListenerRemoved()

### getterCalled

    protected void getterCalled()

  Overrides:
    `getterCalled` in class `ObservableSet`

### addListener

    protected void addListener(Object listenerType,
                               IObservablesListener listener)

  Parameters:
    `listenerType` -
    `listener` -

### removeListener

    protected void removeListener(Object listenerType,
                                  IObservablesListener listener)

  Parameters:
    `listenerType` -
    `listener` -

### hasListeners

    protected boolean hasListeners()

### fireEvent

    protected void fireEvent(ObservableEvent event)

### getRealm

    public Realm getRealm()

  Returns:
    Returns the realm.

### clone

    protected Object clone()
                    throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.